Link a Story
Link an existing story to a draft experiment.
POST
https://mapi.storyblok.com/v1/spaces/:space_id/experiments/:experiment_id/storiesPath parameters
Section titled “Path parameters”-
:space_idrequired numberNumeric ID of a space.
-
:experiment_idrequired numberNumeric ID of the experiment.
Request body properties
Section titled “Request body properties”-
experiment_storyrequired objectThe story to link to the experiment.
Show child properties
-
story_idrequired numberNumeric ID of the story to link.
-
Response properties
Section titled “Response properties”-
experimentThe Experiment ObjectThe updated experiment object.
Examples
Section titled “Examples”curl "https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/stories" \ -X POST \ -H "Authorization: YOUR_OAUTH_TOKEN" \ -H "Content-Type: application/json" \ -d "{\"experiment_story\":{\"story_id\":176024833123843}}"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",});
try { const response = await storyblok.post('spaces/288868932106293/experiments/176070002766742/stories', { "experiment_story": { "story_id": 176024833123843 } }) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
$payload = ["experiment_story" => ["story_id" => 176024833123843]];
$client->post('spaces/288868932106293/experiments/176070002766742/stories', $payload)->getBody();HttpResponse<String> response = Unirest.post("https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/stories") .header("Content-Type", "application/json") .header("Authorization", "YOUR_OAUTH_TOKEN") .body({"experiment_story":{"story_id":176024833123843}}) .asString();var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/stories");var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");request.AddParameter("application/json", "{\"experiment_story\":{\"story_id\":176024833123843}}", ParameterType.RequestBody);IRestResponse response = client.Execute(request);import requests
url = "https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/stories"
querystring = {}
payload = {"experiment_story":{"story_id":176024833123843}}headers = { 'Content-Type': "application/json", 'Authorization': "YOUR_OAUTH_TOKEN"}
response = requests.request("POST", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
payload = {"experiment_story" => {"story_id" => 176024833123843}}
client.post('spaces/288868932106293/experiments/176070002766742/stories', payload)let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/experiments/176070002766742/stories")request.httpMethod = "POST"request.httpBody = try JSONSerialization.data(withJSONObject: [ "experiment_story": [ "story_id": 176024833123843, ],])let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(MAPI)) { accessToken = OAuth("YOUR_OAUTH_TOKEN") }}
val response = client.post("spaces/288868932106293/experiments/176070002766742/stories") { setBody(buildJsonObject { putJsonObject("experiment_story") { put("story_id", 176024833123843) } })}
println(response.body<JsonElement>())
Thanks! We received your feedback.
An error occurred. Please try again.
Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community